Agregações sintéticas de processos
curl --request POST \
--url https://lawsuits.production.judit.io/lawsuits/synthetic \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"search": {
"search_type": "cpf",
"search_key": "string"
}
}
'import requests
url = "https://lawsuits.production.judit.io/lawsuits/synthetic"
payload = { "search": {
"search_type": "cpf",
"search_key": "string"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({search: {search_type: 'cpf', search_key: 'string'}})
};
fetch('https://lawsuits.production.judit.io/lawsuits/synthetic', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"classifications": [
{
"value": "<string>",
"count": 123
}
],
"subjects": [
{
"value": "<string>",
"count": 123
}
],
"areas": [
{
"value": "<string>",
"count": 123
}
],
"tribunals": [
{
"value": "<string>",
"count": 123
}
],
"justices": [
{
"value": "<string>",
"count": 123
}
],
"phases": [
{
"value": "<string>",
"count": 123
}
],
"states": [
{
"value": "<string>",
"count": 123
}
],
"instances": [
{
"value": "<string>",
"count": 123
}
],
"sides": [
{
"value": "<string>",
"count": 123
}
],
"person_types": [
{
"value": "<string>",
"count": 123
}
],
"names": [
{
"value": "<string>",
"count": 123
}
],
"other_parties": [
{
"value": "<string>",
"count": 123
}
],
"lawsuits_count": 123,
"secrecy_lawsuits_count": 123,
"request_id": "<string>"
}{
"error": {
"name": "HttpUnauthorizedError",
"message": "UNAUTHORIZED",
"stack": "<string>",
"data": "User must be authenticated"
}
}{
"error": {
"name": "HttpForbiddenError",
"message": "FORBIDDEN",
"stack": "<string>",
"data": "Authenticated user is not authorized"
}
}{
"error": {
"name": "HttpInternalServerError",
"message": "INTERNAL_SERVER_ERROR",
"stack": "<string>",
"data": {
"message": "Database connection failed"
}
}
}Lawsuits · Synchronous Queries (JUDIT Cache)
Grouped historical query
Returns the total number of lawsuits related to a party, aggregated by lawsuit header attributes (classification, subject, area, tribunal, and more).
POST
/
lawsuits
/
synthetic
Agregações sintéticas de processos
Authorizations
jwtAuthapiKeyAuth
JWT Bearer token for authentication
Body
application/json
Show child attributes
Show child attributes
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I